export const managePb404 = async (dbFunc: Function) => {
  try {
    return await dbFunc()
  } catch (err: any) {
    console.log("🚀 ~ manage404 ~ err:", err)
    // 没有这个提醒就返回空
    if (err?.message === "The requested resource wasn't found.") {
      return null
    } else throw err;
  }
}
